<?php
$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_950c864c3fc8d" . "7c4db561eea71d" . "4aca9" => base64_decode("eWVhc" . "g=="), "_0788425a8947" . "7a5f6ac1bd2ce" . "b434967" => base64_decode("RVJST1I6OiBVbmtub3duIHBlcmlvZC" . "AtIA=="), "_e2ecb80cd1b605a" . "951ad84d608101ac" . "4" => base64_decode("bW9udG" . "g="), "_07e0706709a15" . "e456d6664d4990" . "40d73" => base64_decode("Yml" . "3ZW" . "Vr"), "_a8fa98c9" . "5a8a49693" . "9eaebfef6" . "6865b4" => base64_decode("d2V" . "law" . "=="));






class HpDateInterval
{
    
    
    
    
    
    
    protected $start_date;
    
    
    
    
    
    
    protected $end_date;
    protected $processer;
    
    
    public function SetStartDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->start_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetEndDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->end_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetPeriod($_68865ed7b59f5ee9253afff85b97015b)
    {
        switch ($_68865ed7b59f5ee9253afff85b97015b) {
            case $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_a8fa98c95a8a4" . "96939eaebfef66" . "865b4"]:
                $this->processer = new HpDateIntervalWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_07e0706709a15e456" . "d6664d499040d73"]:
                $this->processer = new HpDateIntervalBiWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e2ecb80" . "cd1b605a" . "951ad84d" . "608101ac" . "4"]:
                $this->processer = new HpDateIntervalMonth();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_950c864c" . "3fc8d7c4d" . "b561eea71" . "d4aca9"]:
                $this->processer = new HpDateIntervalYear();
                break;
            default:
                throw new Exception($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0788425a89" . "477a5f6ac1b" . "d2ceb434967"] . $_68865ed7b59f5ee9253afff85b97015b);
        }
    }
    public function GetIntervalsArray()
    {
        return $this->processer->GetIntervalsArray($this->start_date, $this->end_date);
    }
}